Bug 1409404 - Review Request: blueberry - Bluetooth configuration tool
Summary: Review Request: blueberry - Bluetooth configuration tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-01 19:31 UTC by Björn 'besser82' Esser
Modified: 2017-01-21 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-09 00:58:42 UTC
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-01-01 19:31:07 UTC
Description:

  Bluetooth configuration tool depending on gnome-bluetooth.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17139111


Reported issues:
  
  - glib-compile-schemas is run in %postun and %posttrans if package has
    *.gschema.xml files.
    Note: gschema file(s) in blueberry
    See:
    http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema
  
    ---> Obsolete for Fedora 24+.  See link above.
  
  - Package installs a %{name}.desktop using desktop-file-install or desktop-
    file-validate if there is such a file.
  
    ---> Is run properly during %install-section.
  
  - Package requires other packages for directories it uses.
    Note: No known owner of /usr/share/locale/frp,
    /usr/share/locale/frp/LC_MESSAGES
  - Package must own all directories that it creates.
    Note: Directories without known owners: /usr/share/locale/frp,
    /usr/share/locale/frp/LC_MESSAGES
  
    ---> Bug in filesystem-package (rhbz#1409402).
  
  - gtk-update-icon-cache is invoked in %postun and %posttrans if package
    contains icons.  Note: icons in blueberry
  
    ---> Needed scriptlets are present.
  
  - %config files are marked noreplace or the reason is justified.
  
    ---> The file is a desktop-file for xdg/autostart.
  
  - If the source package does not include license text(s) as a separate
    file from upstream, the packager SHOULD query upstream to include it.
  
    ---> See:  https://github.com/linuxmint/blueberry/pull/27
  
  
Rpmlint:
  
  Checking: blueberry-1.1.9-0.1.fc26.noarch.rpm
            blueberry-1.1.9-0.1.fc26.src.rpm
  blueberry.noarch: W: spelling-error %description -l en_US bluetooth -> Bluetooth, blue tooth, blue-tooth
  blueberry.src: W: spelling-error %description -l en_US bluetooth -> Bluetooth, blue tooth, blue-tooth
  
  ---> False positive, reported from the words 'gnome-desktop'.
  
  blueberry.noarch: W: only-non-binary-in-usr-lib
  
  ---> Package is noarch.
  
  blueberry.noarch: W: no-manual-page-for-binary blueberry
  blueberry.noarch: W: no-manual-page-for-binary blueberry-tray
  
  ---> Mentioned binaries are wrapper for gui-apps without cli-switches.
  
  blueberry.noarch: E: invalid-lc-messages-dir /usr/share/locale/ber/LC_MESSAGES/blueberry.mo
  
  ---> Bug in rpmlint (rhbz#1409403).
  
  blueberry.src:80: E: hardcoded-library-path in %{_prefix}/lib/%{name}
  
  ---> There is no macro for noarch'ed '/usr/lib'.
  
  2 packages and 0 specfiles checked; 2 errors, 5 warnings.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/blueberry.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/blueberry-1.1.9-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 2 Björn 'besser82' Esser 2017-01-01 20:02:50 UTC
*Updated package*

  %changelog
  * Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.3
  - Added scriptlets for Fedora <= 23 and RHEL <= 7

  * Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.2
  - Updated Patch0

  * Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.1
  - Initial package (rhbz#1409404)


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17139301


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/blueberry.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/blueberry-1.1.9-0.3.fc26.src.rpm

Comment 3 Christian Dersch 2017-01-05 19:17:15 UTC
Taken :)

Comment 4 Christian Dersch 2017-01-05 19:38:51 UTC
Looks fine, thank you for providing information on the issues noted by fedora-review!

Solution: Approved!



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- glib-compile-schemas is run in %postun and %posttrans if package has
  *.gschema.xml files.
  Note: gschema file(s) in blueberry
  See:
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema

==> False positive, guidelines changed for f24+

- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

==> False positive, validate is executed in %install


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 12 files have
     unknown license. Detailed output of licensecheck in
     /home/review/1409404-blueberry/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/frp,
     /usr/share/locale/frp/LC_MESSAGES
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/frp,
     /usr/share/locale/frp/LC_MESSAGES

==> Bug in filesystem package

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/xdg/autostart/blueberry-
     tray.desktop
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in blueberry
[x]: Package is not known to require an ExcludeArch tag.

==> Package is noarch

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
==> Done :)

[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
==> Not evaluated

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
==> is noarch package

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: blueberry-1.1.9-0.3.fc26.noarch.rpm
          blueberry-1.1.9-0.3.fc26.src.rpm
blueberry.noarch: W: spelling-error %description -l en_US bluetooth -> Bluetooth, blue tooth, blue-tooth
blueberry.noarch: W: only-non-binary-in-usr-lib
blueberry.noarch: W: conffile-without-noreplace-flag /etc/xdg/autostart/blueberry-tray.desktop
blueberry.noarch: W: no-manual-page-for-binary blueberry-tray
blueberry.noarch: W: no-manual-page-for-binary blueberry
blueberry.noarch: E: invalid-lc-messages-dir /usr/share/locale/ber/LC_MESSAGES/blueberry.mo
blueberry.src: W: spelling-error %description -l en_US bluetooth -> Bluetooth, blue tooth, blue-tooth
blueberry.src:96: E: hardcoded-library-path in %{_prefix}/lib/%{name}
2 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
blueberry.noarch: W: spelling-error %description -l en_US bluetooth -> Bluetooth, blue tooth, blue-tooth
blueberry.noarch: W: only-non-binary-in-usr-lib
blueberry.noarch: W: conffile-without-noreplace-flag /etc/xdg/autostart/blueberry-tray.desktop
blueberry.noarch: W: no-manual-page-for-binary blueberry
blueberry.noarch: W: no-manual-page-for-binary blueberry-tray
blueberry.noarch: E: invalid-lc-messages-dir /usr/share/locale/ber/LC_MESSAGES/blueberry.mo
1 packages and 0 specfiles checked; 1 errors, 5 warnings.



Requires
--------
blueberry (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(blueberry)
    filesystem
    gnome-bluetooth
    hicolor-icon-theme
    rfkill
    wmctrl



Provides
--------
blueberry:
    application()
    application(blueberry.desktop)
    blueberry
    config(blueberry)



Source checksums
----------------
https://github.com/linuxmint/blueberry/archive/1.1.9.tar.gz#/blueberry-1.1.9.tar.gz :
  CHECKSUM(SHA256) this package     : cf324b36c810efdd0e688127a96b471ff799d0c6e51759b7c253f5e05ee24e61
  CHECKSUM(SHA256) upstream package : cf324b36c810efdd0e688127a96b471ff799d0c6e51759b7c253f5e05ee24e61


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1409404
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2017-01-05 22:23:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/blueberry

Comment 6 Fedora Update System 2017-01-06 13:32:23 UTC
blueberry-1.1.9-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-34a6d4af43

Comment 7 Fedora Update System 2017-01-06 13:32:30 UTC
blueberry-1.1.9-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddee512226

Comment 8 Fedora Update System 2017-01-06 13:32:35 UTC
blueberry-1.1.9-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e5af8f33d9

Comment 9 Fedora Update System 2017-01-06 23:21:21 UTC
blueberry-1.1.9-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddee512226

Comment 10 Fedora Update System 2017-01-07 00:48:34 UTC
blueberry-1.1.9-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-34a6d4af43

Comment 11 Fedora Update System 2017-01-07 01:19:08 UTC
blueberry-1.1.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e5af8f33d9

Comment 12 Fedora Update System 2017-01-09 00:58:42 UTC
blueberry-1.1.9-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-09 01:21:46 UTC
blueberry-1.1.9-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-21 23:21:16 UTC
blueberry-1.1.9-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.